Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassRelationshipFormalMember4

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassRelationshipFormalMember4

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassRelationshipFormalMember4

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Relationship Formal Member4', and utility methods for working with them.

See Also:
  `CDAR2Package.getRoleClassRelationshipFormalMember4()`

Field Summary
`static int` | `CIT` The 'CIT' literal value.
`static RoleClassRelationshipFormalMember4` | `CIT_LITERAL` The 'CIT' literal object.
`static int` | `COVPTY` The 'COVPTY' literal value.
`static RoleClassRelationshipFormalMember4` | `COVPTY_LITERAL` The 'COVPTY' literal object.
`static int` | `CRINV` The 'CRINV' literal value.
`static RoleClassRelationshipFormalMember4` | `CRINV_LITERAL` The 'CRINV' literal object.
`static int` | `CRSPNSR` The 'CRSPNSR' literal value.
`static RoleClassRelationshipFormalMember4` | `CRSPNSR_LITERAL` The 'CRSPNSR' literal object.
`static int` | `GUAR` The 'GUAR' literal value.
`static RoleClassRelationshipFormalMember4` | `GUAR_LITERAL` The 'GUAR' literal object.
`static int` | `PAT` The 'PAT' literal value.
`static RoleClassRelationshipFormalMember4` | `PAT_LITERAL` The 'PAT' literal object.
`static int` | `PAYEE` The 'PAYEE' literal value.
`static RoleClassRelationshipFormalMember4` | `PAYEE_LITERAL` The 'PAYEE' literal object.
`static int` | `PAYOR` The 'PAYOR' literal value.
`static RoleClassRelationshipFormalMember4` | `PAYOR_LITERAL` The 'PAYOR' literal object.
`static int` | `POLHOLD` The 'POLHOLD' literal value.
`static RoleClassRelationshipFormalMember4` | `POLHOLD_LITERAL` The 'POLHOLD' literal object.
`static int` | `QUAL` The 'QUAL' literal value.
`static RoleClassRelationshipFormalMember4` | `QUAL_LITERAL` The 'QUAL' literal object.
`static int` | `SPNSR` The 'SPNSR' literal value.
`static RoleClassRelationshipFormalMember4` | `SPNSR_LITERAL` The 'SPNSR' literal object.
`static int` | `STD` The 'STD' literal value.
`static RoleClassRelationshipFormalMember4` | `STD_LITERAL` The 'STD' literal object.
`static int` | `UNDWRT` The 'UNDWRT' literal value.
`static RoleClassRelationshipFormalMember4` | `UNDWRT_LITERAL` The 'UNDWRT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Relationship Formal Member4' enumerators.

Method Summary
`static RoleClassRelationshipFormalMember4` | `get(int value)` Returns the 'Role Class Relationship Formal Member4' literal with the specified integer value.
`static RoleClassRelationshipFormalMember4` | `get(java.lang.String literal)` Returns the 'Role Class Relationship Formal Member4' literal with the specified literal value.
`static RoleClassRelationshipFormalMember4` | `getByName(java.lang.String name)` Returns the 'Role Class Relationship Formal Member4' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CIT

    public static final int CIT

  The 'CIT' literal value.

  If the meaning of 'CIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CIT_LITERAL`, Constant Field Values

### COVPTY

    public static final int COVPTY

  The 'COVPTY' literal value.

  If the meaning of 'COVPTY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COVPTY_LITERAL`, Constant Field Values

### CRINV

    public static final int CRINV

  The 'CRINV' literal value.

  If the meaning of 'CRINV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CRINV_LITERAL`, Constant Field Values

### CRSPNSR

    public static final int CRSPNSR

  The 'CRSPNSR' literal value.

  If the meaning of 'CRSPNSR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CRSPNSR_LITERAL`, Constant Field Values

### GUAR

    public static final int GUAR

  The 'GUAR' literal value.

  If the meaning of 'GUAR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GUAR_LITERAL`, Constant Field Values

### PAT

    public static final int PAT

  The 'PAT' literal value.

  If the meaning of 'PAT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PAT_LITERAL`, Constant Field Values

### PAYEE

    public static final int PAYEE

  The 'PAYEE' literal value.

  If the meaning of 'PAYEE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PAYEE_LITERAL`, Constant Field Values

### PAYOR

    public static final int PAYOR

  The 'PAYOR' literal value.

  If the meaning of 'PAYOR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PAYOR_LITERAL`, Constant Field Values

### POLHOLD

    public static final int POLHOLD

  The 'POLHOLD' literal value.

  If the meaning of 'POLHOLD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `POLHOLD_LITERAL`, Constant Field Values

### QUAL

    public static final int QUAL

  The 'QUAL' literal value.

  If the meaning of 'QUAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `QUAL_LITERAL`, Constant Field Values

### SPNSR

    public static final int SPNSR

  The 'SPNSR' literal value.

  If the meaning of 'SPNSR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPNSR_LITERAL`, Constant Field Values

### STD

    public static final int STD

  The 'STD' literal value.

  If the meaning of 'STD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STD_LITERAL`, Constant Field Values

### UNDWRT

    public static final int UNDWRT

  The 'UNDWRT' literal value.

  If the meaning of 'UNDWRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNDWRT_LITERAL`, Constant Field Values

### CIT_LITERAL

    public static final RoleClassRelationshipFormalMember4 CIT_LITERAL

  The 'CIT' literal object.

  See Also:
    `CIT`

### COVPTY_LITERAL

    public static final RoleClassRelationshipFormalMember4 COVPTY_LITERAL

  The 'COVPTY' literal object.

  See Also:
    `COVPTY`

### CRINV_LITERAL

    public static final RoleClassRelationshipFormalMember4 CRINV_LITERAL

  The 'CRINV' literal object.

  See Also:
    `CRINV`

### CRSPNSR_LITERAL

    public static final RoleClassRelationshipFormalMember4 CRSPNSR_LITERAL

  The 'CRSPNSR' literal object.

  See Also:
    `CRSPNSR`

### GUAR_LITERAL

    public static final RoleClassRelationshipFormalMember4 GUAR_LITERAL

  The 'GUAR' literal object.

  See Also:
    `GUAR`

### PAT_LITERAL

    public static final RoleClassRelationshipFormalMember4 PAT_LITERAL

  The 'PAT' literal object.

  See Also:
    `PAT`

### PAYEE_LITERAL

    public static final RoleClassRelationshipFormalMember4 PAYEE_LITERAL

  The 'PAYEE' literal object.

  See Also:
    `PAYEE`

### PAYOR_LITERAL

    public static final RoleClassRelationshipFormalMember4 PAYOR_LITERAL

  The 'PAYOR' literal object.

  See Also:
    `PAYOR`

### POLHOLD_LITERAL

    public static final RoleClassRelationshipFormalMember4 POLHOLD_LITERAL

  The 'POLHOLD' literal object.

  See Also:
    `POLHOLD`

### QUAL_LITERAL

    public static final RoleClassRelationshipFormalMember4 QUAL_LITERAL

  The 'QUAL' literal object.

  See Also:
    `QUAL`

### SPNSR_LITERAL

    public static final RoleClassRelationshipFormalMember4 SPNSR_LITERAL

  The 'SPNSR' literal object.

  See Also:
    `SPNSR`

### STD_LITERAL

    public static final RoleClassRelationshipFormalMember4 STD_LITERAL

  The 'STD' literal object.

  See Also:
    `STD`

### UNDWRT_LITERAL

    public static final RoleClassRelationshipFormalMember4 UNDWRT_LITERAL

  The 'UNDWRT' literal object.

  See Also:
    `UNDWRT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Relationship Formal Member4' enumerators.

Method Detail

### get

    public static RoleClassRelationshipFormalMember4 get(java.lang.String literal)

  Returns the 'Role Class Relationship Formal Member4' literal with the specified literal value.

### getByName

    public static RoleClassRelationshipFormalMember4 getByName(java.lang.String name)

  Returns the 'Role Class Relationship Formal Member4' literal with the specified name.

### get

    public static RoleClassRelationshipFormalMember4 get(int value)

  Returns the 'Role Class Relationship Formal Member4' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD